﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CueSheetLibrary {
	public class CueTrack {
		public string Title;
		public string TitleLatinOnly {
			get {
				return Encoding.ASCII.GetString(Encoding.ASCII.GetBytes(Title));
			}
		}

		public string Performer;

		public Dictionary<int, long> Indexes = new Dictionary<int, long>();
		public long GetIndex(params int[] indexPriority) {
			foreach(var i in indexPriority) {
				if(Indexes.ContainsKey(i)) {
					return Indexes[i];
				}
			}
			throw new InvalidOperationException();
		}
	}
}
