﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CueMounter.DokanStructure {
	public interface IBinaryProvider : IDisposable {
		long Length { get; set; }
		bool CanRead { get; }
		long Read(long fileOffset, byte[] buffer, long bufferOffset, long length);
		bool CanWrite { get; }
		long Write(long fileOffset, byte[] buffer, long bufferOffset, long length);
	}
}
