﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CueMounter.DokanStructure;

namespace CueMounter {
	public interface IWaveProvider : IBinaryProvider {
		void SetSpanBytes(long start, long length = 0);
		void SetSpanFrames(long start, long length = 0);

		int SampleRate { get; }
		int BitsPerSample { get; }
		int Channels { get; }
		TagLib.Tag Tags { get; }
		long StartBytes { get; }
		long LengthBytes { get; }

		TimeSpan BytesToTime(long bytes);
	}
}
